import './GameBoard.css'
import React from 'react'
import Board from './GameBoard/Board'
import { WHITE, BLACK } from './Stone'
import { Player } from './Player'

import { AppContext } from '../../context/app'

export default function GameBoard() {

  const [ctx] = React.useContext(AppContext)

  return (
    <div className='game-board'>
      <Player color={WHITE()} name={ctx.newGame.whitePlayer} />
      <Board />
      <Player color={BLACK()} name={ctx.newGame.blackPlayer} />
    </div>
  )
}
