import './Header.css';
import React from "react"
import { NavLink } from "react-router-dom";
import OnlineToggle from './OnlineTgl';
import { AppData } from "../context/data"
import Wobler from './Wobler';

export default function Header() {
  const [data] = React.useContext(AppData)

  return (
    <div className='app-header'>
      <h1 >
        CordaCheckers
      </h1>
      <OnlineToggle />
      <nav>
        <NavLink to="/about">
          About
        </NavLink>
        <NavLink to="/game">
          <Wobler text="Game" dance={data.gamesFetching} />
        </NavLink>
        <NavLink to="/leaderboard">
          <Wobler text="Leaderboard" dance={data.leaderboardFetching} />
        </NavLink>
      </nav>
    </div>
  )
}
